%define upstream_name    Crypt-PKCS10
%define upstream_version 2.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse PKCS #10 certificate requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::ASN1)
BuildRequires: perl(Encode)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
Crypt::PKCS10 parses PKCS #10 requests and provides accessor methods to
extract the requested data. First, the request will be parsed using the
included ASN.1 definition. Common object identifiers will be translated to
their corresponding names. Additionally, accessor methods allow to extract
single data fields. Bit Strings like signatures will be printed in their
hexadecimal representation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build build

%check
##./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc BUILD Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Jan 28 2025 tv <tv> 2.5.0-1.mga10
+ Revision: 2142937
- update to 2.005

* Sat Aug 13 2022 tv <tv> 2.4.0-1.mga9
+ Revision: 1877431
- update to 2.004

* Mon Mar 21 2022 umeabot <umeabot> 2.3.0-2.mga9
+ Revision: 1816057
- Mageia 9 Mass Rebuild

* Wed Feb 02 2022 tv <tv> 2.3.0-1.mga9
+ Revision: 1770997
- update to 2.003

* Wed Apr 28 2021 tv <tv> 2.2.0-1.mga9
+ Revision: 1720240
- update to 2.002

* Fri Feb 14 2020 umeabot <umeabot> 2.1.0-2.mga8
+ Revision: 1521039
- Mageia 8 Mass Rebuild

* Sat Dec 15 2018 tv <tv> 2.1.0-1.mga7
+ Revision: 1341350
- update to 2.001

* Sat Oct 20 2018 tv <tv> 1.900.0-1.mga7
+ Revision: 1322682
- restore BR perl(Convert::ASN1)
- update to 1.9

* Thu Sep 20 2018 umeabot <umeabot> 1.800.201-2.mga7
+ Revision: 1282559
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 1.800.201-1.mga7
+ Revision: 1133311
- update to 1.800201

* Sat Jun 18 2016 pterjan <pterjan> 1.500.0-2.mga6
+ Revision: 1024564
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.500.0-1.mga6
+ Revision: 1001752
- New version 1.5

* Sun Jan 17 2016 buchan <buchan> 1.300.0-1.mga6
+ Revision: 924926
- imported package perl-Crypt-PKCS10


* Mon Jan 11 2016 buchan 1.3-1mga
- initial mageia release, generated with cpan2dist
